Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.eclipse.model
[Groovy] Class AbstractClasspathEntry

    java.lang.Object
      org.gradle.plugins.eclipse.model.AbstractClasspathEntry

    abstract class AbstractClasspathEntry

Authors:
  Hans Dockter

Property Summary
`static java.lang.String` | `NATIVE_LIBRARY_ATTRIBUTE`
`java.util.Set` | `accessRules`
`boolean` | `exported`
`java.lang.String` | `nativeLibraryLocation`
`java.lang.String` | `path`

Constructor Summary
`AbstractClasspathEntry(groovy.util.Node node)`
`AbstractClasspathEntry(java.lang.String path, boolean exported, java.lang.String nativeLibraryLocation, java.util.Set accessRules)`

Method Summary
`void` | `addAccessRules(groovy.util.Node node)`
`groovy.util.Node` | `addClasspathEntry(groovy.util.Node node, java.util.Map attributes)`
`void` | `addEntryAttributes(groovy.util.Node node, java.util.Map attributes)`
`void` | `addNativeLibraryLocation(groovy.util.Node node)`
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`java.lang.String` | `normalizePath(java.lang.String path)`
`java.lang.Object` | `readAccessRules(groovy.util.Node node)`
`java.lang.String` | `readNativeLibraryLocation(groovy.util.Node node)`
`java.util.Map` | `removeNullEntries(java.util.Map args)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### NATIVE_LIBRARY_ATTRIBUTE

    static final java.lang.String NATIVE_LIBRARY_ATTRIBUTE

### accessRules

    java.util.Set accessRules

### exported

    boolean exported

### nativeLibraryLocation

    java.lang.String nativeLibraryLocation

### path

    java.lang.String path

Constructor Detail

### AbstractClasspathEntry

    AbstractClasspathEntry(groovy.util.Node node)

### AbstractClasspathEntry

    AbstractClasspathEntry(java.lang.String path, boolean exported, java.lang.String nativeLibraryLocation, java.util.Set accessRules)

Method Detail

### addAccessRules

    void addAccessRules(groovy.util.Node node)

### addClasspathEntry

    groovy.util.Node addClasspathEntry(groovy.util.Node node, java.util.Map attributes)

### addEntryAttributes

    void addEntryAttributes(groovy.util.Node node, java.util.Map attributes)

### addNativeLibraryLocation

    void addNativeLibraryLocation(groovy.util.Node node)

### equals

    boolean equals(java.lang.Object o)

### hashCode

    int hashCode()

### normalizePath

    java.lang.String normalizePath(java.lang.String path)

### readAccessRules

    java.lang.Object readAccessRules(groovy.util.Node node)

### readNativeLibraryLocation

    java.lang.String readNativeLibraryLocation(groovy.util.Node node)

### removeNullEntries

    java.util.Map removeNullEntries(java.util.Map args)

### toString

    java.lang.String toString()

Groovy Documentation